Package com.clickhouse.jdbc.internal

## Class ClickHouseJdbcUrlParser.ConnectionInfo

- java.lang.Object
- - com.clickhouse.jdbc.internal.ClickHouseJdbcUrlParser.ConnectionInfo

Enclosing class:
  ClickHouseJdbcUrlParser

    public static class ClickHouseJdbcUrlParser.ConnectionInfo
    extends Object

### Constructor Summary

Constructors
`protected` `ConnectionInfo​(URI uri, com.clickhouse.client.ClickHouseNode server, Properties props)`

### Method Summary

All Methods Instance Methods Concrete Methods
`JdbcConfig` `getJdbcConfig()`
`Properties` `getProperties()`
`com.clickhouse.client.ClickHouseNode` `getServer()`
`URI` `getUri()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConnectionInfo

    protected ConnectionInfo​(URI uri,
                             com.clickhouse.client.ClickHouseNode server,
                             Properties props)
                      throws URISyntaxException

Throws:
  `URISyntaxException`

### Method Detail

#### getUri

    public URI getUri()

#### getServer

    public com.clickhouse.client.ClickHouseNode getServer()

#### getJdbcConfig

    public JdbcConfig getJdbcConfig()

#### getProperties

    public Properties getProperties()